import request from '@/utils/request'

// 查询指标分类列表
export function listType(query) {
    return request({
        url: '/metrics/type/list',
        method: 'get',
        params: query
    })
}

// 查询指标分类详细
export function getType(typeId) {
    return request({
        url: '/metrics/type/' + typeId,
        method: 'get'
    })
}

// 新增指标分类
export function addType(data) {
    return request({
        url: '/metrics/type',
        method: 'post',
        data: data
    })
}

// 修改指标分类
export function updateType(data) {
    return request({
        url: '/metrics/type',
        method: 'put',
        data: data
    })
}

// 删除指标分类
export function delType(typeId) {
    return request({
        url: '/metrics/type/' + typeId,
        method: 'delete'
    })
}
